=== modified file 'ChangeLog'
--- ChangeLog	2006-09-02 14:27:00 +0000
+++ ChangeLog	2006-09-03 10:51:29 +0000
@@ -1,3 +1,7 @@
+2006-09-03  Szilveszter Farkas <Szilveszter.Farkas@gmail.com>
+
+    * olive/frontend/gtk/__init__.py: fixed a bug regarding menu item activation
+
 2006-09-02  Szilveszter Farkas <Szilveszter.Farkas@gmail.com>
 
     * po/olive-gtk.pot: regenerated

=== modified file 'TODO.txt'
--- TODO.txt	2006-08-21 23:26:21 +0000
+++ TODO.txt	2006-09-03 10:51:29 +0000
@@ -13,7 +13,7 @@
 [DONE] Save and restore main window position and size (phanatic)
 [DONE] Real sensitive context menu - e.g. options are grey if not a branch
    (phanatic)
- - Implement 'bzr missing' (phanatic)
+[DONE] Implement 'bzr missing' (phanatic)
  - Implement 'bzr uncommit' (phanatic)
  - Implement bundle handling - at least creating them (phanatic)
 [DONE] Testing on Windows platform (phanatic)

=== modified file 'olive/frontend/gtk/__init__.py'
--- olive/frontend/gtk/__init__.py	2006-09-02 14:27:00 +0000
+++ olive/frontend/gtk/__init__.py	2006-09-03 10:51:29 +0000
@@ -239,7 +239,14 @@
         else:
             if br:
                 # Activate some items
-                self.comm.menuitem_branch.set_sensitive(True)
+                self.comm.menuitem_branch_init.set_sensitive(False)
+                self.comm.menuitem_branch_get.set_sensitive(True)
+                self.comm.menuitem_branch_checkout.set_sensitive(True)
+                self.comm.menuitem_branch_pull.set_sensitive(True)
+                self.comm.menuitem_branch_push.set_sensitive(True)
+                self.comm.menuitem_branch_commit.set_sensitive(True)
+                self.comm.menuitem_branch_status.set_sensitive(True)
+                self.comm.menuitem_branch_missing.set_sensitive(True)
                 self.comm.menuitem_stats.set_sensitive(True)
                 self.comm.menuitem_add_files.set_sensitive(True)
                 self.comm.menuitem_remove_files.set_sensitive(True)
@@ -254,7 +261,14 @@
                 self.comm.toolbutton_push.set_sensitive(True)
             else:
                 # Deactivate some items
-                self.comm.menuitem_branch.set_sensitive(False)
+                self.comm.menuitem_branch_init.set_sensitive(True)
+                self.comm.menuitem_branch_get.set_sensitive(False)
+                self.comm.menuitem_branch_checkout.set_sensitive(False)
+                self.comm.menuitem_branch_pull.set_sensitive(False)
+                self.comm.menuitem_branch_push.set_sensitive(False)
+                self.comm.menuitem_branch_commit.set_sensitive(False)
+                self.comm.menuitem_branch_status.set_sensitive(False)
+                self.comm.menuitem_branch_missing.set_sensitive(False)
                 self.comm.menuitem_stats.set_sensitive(False)
                 self.comm.menuitem_add_files.set_sensitive(False)
                 self.comm.menuitem_remove_files.set_sensitive(False)
@@ -301,7 +315,14 @@
         self.menuitem_file_move = self.toplevel.get_widget('menuitem_file_move')
         self.menuitem_view_show_hidden_files = self.toplevel.get_widget('menuitem_view_show_hidden_files')
         self.menuitem_branch = self.toplevel.get_widget('menuitem_branch')
+        self.menuitem_branch_init = self.toplevel.get_widget('menuitem_branch_initialize')
+        self.menuitem_branch_get = self.toplevel.get_widget('menuitem_branch_get')
+        self.menuitem_branch_checkout = self.toplevel.get_widget('menuitem_branch_checkout')
+        self.menuitem_branch_pull = self.toplevel.get_widget('menuitem_branch_pull')
+        self.menuitem_branch_push = self.toplevel.get_widget('menuitem_branch_push')
         self.menuitem_branch_commit = self.toplevel.get_widget('menuitem_branch_commit')
+        self.menuitem_branch_status = self.toplevel.get_widget('menuitem_branch_status')
+        self.menuitem_branch_missing = self.toplevel.get_widget('menuitem_branch_missing_revisions')
         self.menuitem_stats = self.toplevel.get_widget('menuitem_stats')
         self.menuitem_stats_diff = self.toplevel.get_widget('menuitem_stats_diff')
         self.menuitem_stats_log = self.toplevel.get_widget('menuitem_stats_log')
@@ -444,7 +465,14 @@
         else:
             if br:
                 # Activate some items
-                self.menuitem_branch.set_sensitive(True)
+                self.menuitem_branch_init.set_sensitive(False)
+                self.menuitem_branch_get.set_sensitive(True)
+                self.menuitem_branch_checkout.set_sensitive(True)
+                self.menuitem_branch_pull.set_sensitive(True)
+                self.menuitem_branch_push.set_sensitive(True)
+                self.menuitem_branch_commit.set_sensitive(True)
+                self.menuitem_branch_status.set_sensitive(True)
+                self.menuitem_branch_missing.set_sensitive(True)
                 self.menuitem_stats.set_sensitive(True)
                 self.menuitem_add_files.set_sensitive(True)
                 self.menuitem_remove_files.set_sensitive(True)
@@ -459,7 +487,14 @@
                 self.toolbutton_push.set_sensitive(True)
             else:
                 # Deactivate some items
-                self.menuitem_branch.set_sensitive(False)
+                self.menuitem_branch_init.set_sensitive(True)
+                self.menuitem_branch_get.set_sensitive(False)
+                self.menuitem_branch_checkout.set_sensitive(False)
+                self.menuitem_branch_pull.set_sensitive(False)
+                self.menuitem_branch_push.set_sensitive(False)
+                self.menuitem_branch_commit.set_sensitive(False)
+                self.menuitem_branch_status.set_sensitive(False)
+                self.menuitem_branch_missing.set_sensitive(False)
                 self.menuitem_stats.set_sensitive(False)
                 self.menuitem_add_files.set_sensitive(False)
                 self.menuitem_remove_files.set_sensitive(False)

